#!/usr/bin/env python

from WebStack.Adapters.BaseHTTPRequestHandler import deploy
from WebStack.Resources.ResourceMap import MapResource
from WebStack.Resources.Static import DirectoryResource
from Questionnaire import QuestionnaireEditorResource
import os

# Get the directory of the application.

questionnaire_resource = QuestionnaireEditorResource()
directory = questionnaire_resource.resource_dir

# Make a simple Web site.

resource = MapResource({
    # Static resources:
    "styles" : DirectoryResource(os.path.join(directory, "styles"), {"css" : "text/css"}),
    # Main page:
    "" : questionnaire_resource
    })

# Special magic incantation.

print "Serving..."
deploy(resource, handle_errors=0)

# vim: tabstop=4 expandtab shiftwidth=4
